import request from '@/utils/request'

// 分页查询任务信息列表
export function pageListInfo(query) {
  return request({
    url: '/task/info/pageList',
    method: 'get',
    params: query
  })
}

// 根据部门分页查询任务信息列表
export function pageListByBranch(query) {
  return request({
    url: '/task/info/pageListByBranch',
    method: 'get',
    params: query
  })
}

// 分页查询任务信息列表
export function pageListByUser(query) {
  return request({
    url: '/task/info/pageListByUser',
    method: 'get',
    params: query
  })
}

// 查询任务信息列表
export function listInfo(query) {
  return request({
    url: '/task/info/list',
    method: 'get',
    params: query
  })
}

// 查询任务信息详细
export function getInfo(id) {
  return request({
    url: '/task/info/' + id,
    method: 'get'
  })
}

// 撤回其他任务
export function withdrawOther(id) {
  return request({
    url: '/task/info/withdraw/' + id,
    method: 'get'
  })
}

// 发布任务信息
export function publishOther(id) {
  return request({
    url: '/task/info/publishOther/' + id,
    method: 'get'
  })
}


// 新增任务信息
export function addInfo(data) {
  return request({
    url: '/task/info',
    method: 'post',
    data: data
  })
}

// 修改任务信息
export function updateInfo(data) {
  return request({
    url: '/task/info',
    method: 'put',
    data: data
  })
}

// 删除任务信息
export function delInfo(id) {
  return request({
    url: '/task/info/' + id,
    method: 'delete'
  })
}

// 导出任务信息
export function exportInfo(query) {
  return request({
    url: '/task/info/' + 'export',
    method: 'post',
    params: query
  })
}
